# Hintergrund

Um die Interoperabilität der Einwilligungsinhalte MII-weit sicherzustellen, hat die TFCU ein einheitliches Einwilligungs-PolicyValueSet für den MII Broadconsent (Versionen 1.6.d und 1.6.f) erarbeitet.

Dieses wurde mehrfach in der MI AG Consent vorgestellt und diskutiert. **Alle MII-Konsortien haben in Q4/2021 die Benennung und Semantik dieser Einwilligungspolicies einheitlich abgestimmt.** [Das offizielle Policy-Valueset der TFCU im ArtDecor wurde im Januar 2022 in Version 1.0 aktualisiert](http://art-decor.org/decor/services/RetrieveValueSet?id=2.16.840.1.113883.3.1937.777.24.11.36&effectiveDate=2021-04-23T10:55:54&prefix=mide-&format=html&collapsable=true&language=de-DE&ui=en-US).

**MII-Standorte, die folgende Bedindungen erfüllen, sollten bereits genutzte Einwilligungs- und Widerrufsvorlagen aktualisieren**:
1. Verwendung des gICS in Version 2.13.0 oder höher
2. Produktive Verwendung der seit Juli 2021 bereitgestellten Einwilligungs- und Widerrufsvorlagen.

MII-Standorte, die bislang bereitgestellte Vorlagen ausschließlich zu Test-Zwecken importiert haben, sollten für den produktiven Betrieb stets nur die neuesten Vorlagen verwenden.


# Ausgangslage

- Vorlage MII PatEinwilligung Version 1.6.f gemäß https://www.ths-greifswald.de/gics/templates/mii/1.6.f (Stand vom  Juli 2021) angelegt, finalisiert
- min. 1 Einwilligung auf Basis dieser Vorlage angelegt.

# Vorgehen zur Aktualisierung gICS-Vorlage für MII PatEinwilligung Version 1.6.f

## Voraussetzungen
- Es wird empfohlen gICS 2.13.4 vor dem Update der Vorlagen zu installieren bzw. das bestehende System zu aktualisieren. Weitere Informationen unter: https://www.ths-greifswald.de/gics-in-neuer-version-2-13-4-verfuegbar/
- Weitere Details zum Import von Vorlagen sind im [Handbuch](https://www.ths-greifswald.de/gics/handbuch/) beschrieben.

## Schritt 1 - Import-Files beziehen

[Import-Dateien herunterladen.](https://www.ths-greifswald.de/gics/templates/mii/1.6.f/2022-01)

## Schritt 2 - Import der aktualisierten Einwilligungs-Vorlage
Um die Einwilligungsvorlagen über das gICS-Webfrontend zu aktualisieren, ist wie folgt vorzugehen.

- Einstellungen ->Import/Export->Importieren

- [Bereitgestellte Import-Datei auswählen ](./2022-01-27-MII-BroadConsent-1.6.f-NUM-CODEX-TFCU-v1.0.json)

- Häkchen bei *Aktualisierung vorhandener Elemente erlauben* setzen -> Importieren

- Es sollte die Meldung *Information: 50 Elemente erfolgreich verarbeitet.* erscheinen.

## Schritt 3 - Anpassung der expirationProperties und Austauch von Policies per MySQL

Da Ablaufeigenschaften (*expirationProperties) und Policy-Zuordnungen von Einwilligungselementen nach Produktivsetzung standardmäßig schreibgeschützt sind, sind SQL-seitige Anpassungen erforderlich.

Dazu Skript [`2022-01-27-update_16f_exp_mod_policies.sql`](./2022-01-27-update_16f_exp_mod_policies.sql) ausführen.

Die Änderungen werden **nach Neustart** des Anwendungsservers übernommen.

## Schritt 4 - Optional: Anpassung der Widerrufsvorlagen (kompatibel mit obiger Einwilligungsvorlage)

### 4.1 - Update der Widerrufsvorlagen über das gICS-Webfrontend

Die Aktualisierung erfolgt über das gICS-Webfrontend:

- Einstellungen ->Import/Export->Importieren

- [Bereitgestellte Import-Datei auswählen](./2022-02-28-MII-Widerrufsformulare1.6.f-TFCU-NUM-CODEX-v1.0.json)

- Häkchen bei *Aktualisierung vorhandener Elemente erlauben* setzen -> Importieren

- Es sollte die Meldung *Information: 52 Elemente erfolgreich verarbeitet.* erscheinen.

### 4.2 - Austauch von Policies per MySQL in den Widerrufsvorlagen

Da Policy-Zuordnungen von Widerrufselementen ebenfalls nach Produktivsetzung standardmäßig schreibgeschützt sind, sind SQL-seitige Anpassungen erforderlich.

Dazu Skript [`2022-01-27-update_16f_widerruf_mod_policies.sql`](./2022-01-27-update_16f_widerruf_mod_policies.sql) ausführen.

Die Änderungen werden **nach Neustart** des Anwendungsservers übernommen.

Damit ist die Aktualisierung der Vorlagen abgeschlossen.

<div style="break-after:page"></div>

# Vorher/Nachher-Vergleich

## Vorlage Einwilligung

### Vorher
![](./figures/vorher/ic1.png)

### Nachher
![](./figures/nachher/ic2.png)

![](./figures/nachher/bio2.png)

<div style="break-after:page"></div>

## Vorlage Teilwiderruf

### Vorher
![](./figures/vorher/tw1.png)

### Nachher
![](./figures/nachher/tw2.png)

<div style="break-after:page"></div>

## Vorlage Vollständiger Widerruf

### Vorher
![](./figures/vorher/vw1.png)

### Nachher
![](./figures/nachher/vw2.png)